using LittleTown.Blazor.Client.Services;
using LittleTown.Core.Ports;
using Microsoft.AspNetCore.Components.WebAssembly.Hosting;

var builder = WebAssemblyHostBuilder.CreateDefault(args);

builder.Services.AddScoped(sp => new HttpClient { BaseAddress = new Uri(builder.HostEnvironment.BaseAddress) });

builder.Services.AddScoped<IStaticDataGetter, WasmStaticDataGetter>();
builder.Services.AddScoped<IMatchService, MatchService>();

await builder.Build().RunAsync();
